#version 330

in  vec3 fragmentColor;
out vec4 fragColor;

void main(void)
{
  vec3 corected; 
  
  corected.x = pow(fragmentColor.x, 1.0f/2.2f);
  corected.y = pow(fragmentColor.y, 1.0f/2.2f);
  corected.z = pow(fragmentColor.z, 1.0f/2.2f);
  	
  fragColor = vec4(corected,1);
}
